<?php
define('MONENGINE', 'Remake by starky');

Error_Reporting(E_ALL & ~E_NOTICE);

require("../core.php");
require_once("includes/inc.php");
// If user is not logged in
if(!$logged_in) {
	header("Location: login.php");
	exit();
}
// If user is logged in
require_once("includes/menu.class.php");
$menu = new Menu;
$menu->add('main', 'index.php', 'Главная');
$menu->add('replies', 'replies', 'Подтверждение отзывов');
$menu->add('site_settings', 'settings', 'Настройки сайта');
$menu->add('rowstyles', 'rowstyles', 'Управление стилями');
$menu->add('add_server', 'add_server', 'Добавить сервер в мониторинг ');
//$menu->add('main', 'index.php', 'Главная');

$load = "";
$page = "";
if(isset($_GET['page'])) $page = $_GET['page'];
	
switch($page) {
	case 'server_info':
		$page_title = "Панель управления | Информация о сервере";
		$load_file = "server.php";
		break;
	case 'server_edit':
		$page_title = "Панель управления | Редактирование сервера";
		$load_file = "server_edit.php";
		break;
	case 'replies':
		$menu->set('replies');
		$page_title = "Панель управления | Редактирование отзывов";
		$load_file = "replies.php";
		break;
	case 'site_settings':
		$menu->set('site_settings');
		$page_title = "Панель управления | Редактирование настроек";
		$load_file = "settings.php";
		break;
	case 'rowstyles':
		$menu->set('rowstyles');
		$page_title = "Панель управления | Управление стилями";
		$load_file = "rowstyles.php";
		break;
	case 'add_server':
		$menu->set('add_server');
		$page_title = "Панель управления | Добавление сервера";
		$load_file = "add_server.php";
		break;
	default:
		$menu->set('main');
		$page_title = $settings['site_name']." | Панель управления";
		$load_file = 'dashboard.php';
		break;
}
	
// Header block
require_once("template/header.php");
require_once("template/topmenu.php");
require_once("template/leftcol.php");
// Main area
if(file_exists($load_file)) {
	require($load_file);	// Loading main area
} else {
	$msg_code = 404;
	require('../messages.php');	// File not found
}
	
// Footer block
require_once("template/footer.php");
?>