<?php
/*
 * Message display script
 * Made by starky
*/

/* Script security */
if(!defined("MONENGINE")) {
	header("Location: index.php");
	exit();
}
/* Other code */

/* Templates */
$styles = Array(
	'error'		=> 'warning-red',
	'warning'	=> 'warning-yellow',
	'info'		=> 'warning-blue',
	'success'	=> 'warning-green'
);

$codes	= Array(
	404			=> Array('error', 'Данная страница не существует.'),
	000			=> Array('error', 'Произошла неизвестная ошибка.')
);

if(!isset($msg_code) or empty($codes[$msg_code])) $msg_code = 000;

echo "<div class='{$styles[$codes[$msg_code][0]]}'>{$codes[$msg_code][1]}</div>";
?>