<?php
/*
 * Server info display script
 * Made by starky
*/

/* Script security */
if(!defined("MONENGINE")) {
	header("Location: index.php");
	exit();
}
/* Other code */

require_once LOCALE.LOCALESET."serv.php";

$server_id = $_GET['id'];
	
$take_server = dbquery("SELECT * FROM ".DB_SERVERS." WHERE server_id = ".mysql_real_escape_string($server_id)."");
if(mysql_num_rows($take_server) == 0) {
	displayMessage('Выбранный сервер не существует, либо был удалён.', 'error');
} else {
	$server_data = dbarray_fetch($take_server);

	$site = "";	
	if($server_data['server_site'] !="") {
		$site = "<a href='http://".$server_data['server_site']."' target='_blank'>".$server_data['server_site']." </a>";
	}
		
	$icq = "";
	if($server_data['server_icq'] !="") {
		$icq = $server_data['server_icq']." <img src='http://status.icq.com/online.gif?icq=".$server_data['server_icq']."&img=26'>";
	}
	$status="<font color='#B53333'><b>Offline</b></font>";
	if($server_data['server_status'] == 1) $status = "<font color='#6e8d4c'><b>Online</b></font>";

	$last_update = $settings['last_update'];
	$time_diff = time() - $last_update;
	
	if($time_diff >= 60) {
		$time_lasted = floor($time_diff / 60)." минут";
	} else {
		$time_lasted = $time_diff." секунд";
	}
	
	
	
	echo "
			<div class='horizontal_line'>Сервер: <b>{$server_data['server_name']}</b></div>
			<div class='cont'>
		 ";
	// Start of server page
	echo "<table cellspacing='0' cellpadding='0' width='100%' class='info_tbl'>";
	// Left col (info)
	echo "<td valign='top' width='340' style='padding-bottom:20px;'><img src='/images/maps/monitor.png'>";
	
	$percent_loaded = floor(($server_data['server_players'] / $server_data['server_maxplayers']) * 100);
	
	switch($percent_loaded) {
		case ($percent_loaded <= 40):
			$load_color = 'green';
			break;
		case ($percent_loaded <= 80):
			$load_color = 'yellow';
			break;
		case ($percent_loaded <= 100):
			$load_color = 'red';
			break;
		default:
			$load_color = 'green';
			break;
	}
	if(is_file("images/maps/{$server_data['server_game']}/{$server_data['server_map']}.jpg")) {
		$monitor_url = "monitor/{$server_data['server_game']}/{$server_data['server_map']}.jpg";
	} else {
		$monitor_url = "maps/no_map.gif";
	}
	
	echo	"
			<div>
				<img src='/images/$monitor_url' style='width:192px;height:108px;padding-left: 53px;opacity: 1;border: none;position: relative;bottom: 173px;' alt='de_dust2'>
			</div>
			<div style='text-align:center;padding-left:10px;'>
				<table align='center' cellpadding='0' cellspacing='0' width='236' height='30'>
					<tbody><tr>
						<td class='load_bar load_yellow' width='".(($percent_loaded == 0) ? "1" : "$percent_loaded")."%' valign='middle'>
							<div style='position:absolute;'>
								<nobr>Загруженность сервера 70%</nobr>
							</div>&nbsp;
						</td>
						<td>&nbsp;</td>
					</tr>
				</tbody></table>
			</div>
			
			<div class='block_line'>
				<div class='block address'>
					<div class='t'>Адрес сервера:</div>
					<div class='block_line_small'>{$server_data['server_ip']}</div>
				</div>
			</div>			

			<div class='block_line'>
				<div class='block map'>
					<div class='t'>Текущая карта:</div>
					<div class='block_line_small'>{$server_data['server_map']}</div>
				</div>
			</div>

			<div class='block_line'>
				<div class='block players'>
					<div class='t'>Игроки:</div>
					<div class='block_line_small'>{$server_data['server_players']}/{$server_data['server_maxplayers']}</div>
				</div>
			</div>

			<div class='block_line'>
				<div class='block votes'>
					<div class='t'>Голосов за сервер:</div>
					<div class='block_line_small'>
						<span class='votes_count' id='votes_count_{$server_data['server_id']}' >".$server_data['votes']."</span>
						<span class='vote_buttons' id='vote_buttons_{$server_data['server_id']}'>
						<a href='javascript://' onClick=\"rating({$server_data['server_id']}, 'up', '".md5("m0n3ng1ne.s4lt:P{]we{$server_data['server_id']}@._)%;")."');\" class='voteup' id='{$server_data['server_id']}'></a>
						<a href='javascript://' onClick=\"rating({$server_data['server_id']}, 'down', '".md5("m0n3ng1ne.s4lt:P{]we{$server_data['server_id']}@._)%;")."');\" class='votedown' id='{$server_data['server_id']}'></a>
						</span>
					</div>
				</div>
			</div>
			";
	if(!empty($site)) {
		echo "
			<div class='block_line' style='margin-bottom:0;'>
				<div class='block site'>
					<div class='t'>Сайт сервера:</div>
					<small>$site</small>
				</div>
			</div>
	";
	
				
			
	}
	echo "</td>";

		echo "
			<div class='box_rounded'>
				<div class='box_title'>Информация о сервере <b>{$server_data['server_name']}</b>  :</div>
				id сервера: {$server_data['server_id']}<br />
				Статус сервера: $status<br />
				".((!empty($icq)) ? "Связь с администратором сервера <b>ICQ#$icq</b><br />" : "")."	
				Дата регистрации: <b>".@date("d.m.Y H:i", $server_data['server_regdata'])."</b><br />
				".(($server_data['server_status'] == 1) ? "Работает" : "Не работает")." с ".@date("d.m.Y H:i", $server_data['status_change'])."<br />
				Информация о сервере загружена $time_lasted назад<br />	
			</div>

			<div class='box_rounded'>
				<center><div class='tiss'>Зайти на сервер <b>{$server_data['server_name']}</b>  :</div></center><br>
				<center>{$server_data['server_ip']}</center><br>
				<center><a href='steam://connect/{$server_data['server_ip']}'><div class='dmcon'></div></a></center>
				<a href='/pay/'><div class='bubuy'></div></a>
			</div>

			<div class='box_rounded'></div>

			".(!empty($server_data['about']) ? "
			<br><div class='box_rounded'>
			<div style='padding-bottom:3px;'><b>Описание сервера владельцом:</b></div>
			<span style='color:#999999;'>{$server_data['about']}</span>
			</div>" : "")."
	";
	

	
	// Center col /*(banners)*/ comments
	echo "<td valign='top' style='padding-top: 20px;'><div style='padding:10px;background-color: #363636;-webkit-border-radius: 6px;-moz-border-radius: 6px;border-radius: 6px;'>";


	echo "
	<div style='padding:10px;background-color: #2c2c2c;-webkit-border-radius: 6px;-moz-border-radius: 6px;border-radius: 6px; margin-bottom:380px;'>
	<div style='font-size: 18px;color:#EEEEEE;padding-bottom:5px;'>Оставить отзыв о сервере:</div>
	<div id='vk_comments' style='height: 146px; width: 772px; background-image: none; background-position: initial initial; background-repeat: initial initial;'><iframe name='fXD8c6b3' frameborder='0' src='http://vk.com/widget_comments.php?app=3880285&amp;width=772px&amp;_ver=1&amp;limit=15&amp;height=0&amp;mini=auto&amp;norealtime=0&amp;page=0&amp;status_publish=1&amp;attach=*&amp;url=http%3A%2F%2Fcs16-servera.ru%2Fserver%2F36&amp;title=%D0%9C%D0%BE%D0%BD%D0%B8%D1%82%D0%BE%D1%80%D0%B8%D0%BD%D0%B3%20%D0%98%D0%B3%D1%80%D0%BE%D0%B2%D1%8B%D1%85%20%D0%A1%D0%B5%D1%80%D0%B2%D0%B5%D1%80&amp;description=&amp;image=&amp;141370ad792' width='772' height='133' scrolling='no' id='vkwidget1' style='overflow: hidden; height: 146px;'></iframe></div>
<script type='text/javascript'>
VK.Widgets.Comments('vk_comments', {limit: 15, width: '772', attach: '*'});
</script>
	<div class='clearfix'></div>

	</div>
	";


	echo "</div><br>";

	echo "</td>";
	
				
	echo "</td>";

	echo "</table>";
	echo "</div>";
}

?>