<?php
/*
 * Server list
 * Made by starky
*/

/* Script security */
if(!defined("MONENGINE")) {
	header("Location: index.php");
	exit();
}
/* Other code */

include(INCLUDES."pagination.class.php");
$pagination = new pagination;

$page_num = 1;
if(isset($_GET['page_num'])) $page_num = $_GET['page_num'];
$needed_servers = dbquery("SELECT count(*) FROM ".DB_SERVERS . " WHERE server_new != 1 AND server_status != 0 AND server_off != 1");
$needed_servers = dbarray_fetch($needed_servers);
$needed_servers = $needed_servers[0];
$pg_info = $pagination->calculate_pages($needed_servers, $settings['servers_per_page'], $page_num);
$query_limit = $pg_info['limit'];

// Uncomment the next line for pagination debug
//print_r($pg_info);

$select_query = "SELECT * FROM ".DB_SERVERS . " 
WHERE 
server_new != 1 AND 
server_status != 0 AND 
server_off != 1 
ORDER BY 
server_vip DESC, votes DESC ".$query_limit
;


$servers = dbquery($select_query);

echo "<table class='servers' cellpadding='0' cellspacing='0' border='0'>";

/*
	$locale['010']	Имя сервера
	$locale['011']	Адрес
	$locale['013']	Игроки
*/

/* TABLE HEAD */
echo '
	<thead>
		<tr>
			<th width="33%" style="padding-left:45px;"><font color="#FFF" size="2">Название сервера</font></th>
			<th width="10"><font color="#FFF" size="2">Игроков</font></th>
			<th width="100"><font color="#FFF" size="2">Карта</font></th>
			<th width="50"><center><font color="#FFF" size="2">Адрес</font></center></th>
			<th width="70"><center><font color="#FFF" size="2">Статус<font></font></font></center></th>
		</tr>
	</thead>
	';

/* TABLE BODY */
echo "<tbody>";
	
if($servers_total !=0 ) {
	while($r=dbarray_fetch($servers)) {
		$players = $r['server_players']."/".$r['server_maxplayers'];
		$server_location = $r['server_location'];
		if(empty($server_location)) $server_location = 'undefined';
		
		if(array_key_exists($r['server_row_style'], $styles)) {
			$row = "<tr style='{$styles[$r['server_row_style']]['style']}'>";
		} else {
			$row = "<tr>";
		}
		$row.="	<!--

				<td><center><a href='".$settings['site_url']."server/{$r['server_id']}'>$players</a></center></td>
				<td><center>-->

				<td align='left' style='padding-left:20px;'><img src='images/flags/$server_location.png' width='16' height='11'>&nbsp;<img src='images/icons/cs16.gif' align='texttop'><a href='/server/{$r['server_id']}'> </a><a href='/server/{$r['server_id']}'><span class='label label-inverse'>{$r['server_name']}</span></a> ".(($r['server_steam'] == '1') ? '<img src=\'images/icon_steam.gif\'>' : '')."</td>
				<td style='padding-left:8px;'><a class='myking' href='".$settings['site_url']."server/{$r['server_id']}'><span class='myking'>$players</span></a></td>
				<td><a href='/search' class='myking'><div class='myking'>{$r['server_map']}</div></a></td>
				<td style='padding-left:169px;'><span class='myking'>{$r['server_ip']} </span></td>
				<td><center>
			";
			
		if($r['server_vip'] == 1) {
			$row .= '<img src="images/vip.png" align="texttop">';
		} else {
			$row .= '<img src="images/old.png" align="texttop" style="opacity:0.5;">';
		}
		$row .= "</center></td></tr>";
		
		echo $row;
	}
	
} else {
	echo "<th><center> ".$locale['017']."</center></th>";
}
/* TBODY END */
echo "</tbody></table>";
/* TABLE END */

/* PAGINATION */
if(count($pg_info['pages']) > 1) {
	echo "<div class='pagination' align='center' style='margin-bottom:10px; margin-top:10px;'>";
	if($pg_info['current'] == 1) {
		echo "<span>Назад</span>&nbsp;";
		echo "<span>1</span>";
	} else {
		echo "<a href='/all/{$pg_info['previous']}'>Назад</a>&nbsp;";
		echo "<a href='/all/1'>1</a>";
	}
	echo "&nbsp;";

	foreach($pg_info['pages'] as $k => $v) {
		if($v == 1 or $v == $pg_info['last']) continue; 
		if($v == $pg_info['current'] or $v == '...') {
			echo "<span>$v</span>";
		} else {
			echo "<a href='/all/$v'>$v</a>";
		}
		echo "&nbsp;";
	}

	if($pg_info['current'] == $pg_info['last']) {
		echo "<span>{$pg_info['last']}</span>&nbsp;";
		echo "<span>Вперёд</span>";
	} else {
		echo "<a href='/all/{$pg_info['last']}'>{$pg_info['last']}</a>&nbsp;";
		echo "<a href='/all/{$pg_info['next']}'>Вперёд</a>";
	}

	echo "</div>";
}
/* PAGINATION END */
?>